18.11.2017, 07:10 UTC+1

Sie sind nicht angemeldet.

  • Anmelden
  • Registrieren

1

01.12.2015, 13:16

keine Aktualisierungen mit Synaptic-Paketverwaltung

Liebe Knoppixer,

habe Knoppix 7.2.0 von vorher unter Xubuntu gebrannter DVD installiert.

Ich Kann mit Synaptic-Paketverwaltung das auf Festplatte installierte BetriebsSystem nicht aktualisieren geschweige denn neue Software installieren:

Wenn ich Synaptic-Paketverwaltung starte und dann auf "Alle Aktualisierungen vormerken" klicke, kommt die Fehlermeldung:
---------------------
E: Fehler: Unterbrechungen durch pkgProblemResolver::Resolve hervorgerufen; dies könnte durch zurückgehaltene Pakete verursacht worden sein.
--------------------

es sind 1371 Pakete installiert und 2 defekt.
Klick auf BEARBEITEN/DFEKTE PAKETE REPARIEREN hat auch nicht geholfen.

Komme nicht weiter, kann also das System mit Synaptic-Paketverwaltung nicht aktualisieren. Hat jemand eine Idee?

Freundliche Grüße
Horst

hardinfo_report.html liefert:
Computer
Processor AMD Athlon(tm) XP 2000+
Memory 3109MB (319MB used)
Operating System Debian GNU/Linux 7.1
User Name knoppix (Knoppix User)
Date/Time Fr 13 Nov 2015 10:32:40 UTC

Operating System
Version
Kernel Linux 3.9.6 (i686)
Compiled #25 SMP PREEMPT Sat Jun 15 15:27:01 CEST 2013
C Library Unknown
Default C Compiler GNU C Compiler version 4.7.2 (Debian 4.7.2-5)
Distribution Debian GNU/Linux 7.1
»nde2hxl« hat folgende Datei angehängt:

ubuntuli14

Fortgeschrittener

Beiträge: 385

Geschlecht: Männlich

2

01.12.2015, 14:44

Hallo.

Bist Du dir ganz sicher das Du von Knoppix 7.2 redest? Ich kenne diese Punkte auf Screenshot nur ab Knoppix 7.4

3

01.12.2015, 16:16

ja, ich denke schon, dass das 7.2.0 ist. Jedenfalls war das Teil des Namens der iso-Datei. Nach der Installation steht dann auf dem Monitor:
KOPPIX 7.2

aber in der HARDINFO(0.5.1):
Computer
Processor AMD Athlon(tm) XP 2000+
Memory 3109MB (319MB used)
Operating System Debian GNU/Linux 7.1
User Name knoppix (Knoppix User)
Date/Time Fr 13 Nov 2015 10:32:40 UTC

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »nde2hxl« (01.12.2015, 16:23)


4

01.12.2015, 16:51

Zitat

Ich Kann mit Synaptic-Paketverwaltung das auf Festplatte installierte
BetriebsSystem nicht aktualisieren geschweige denn neue Software
installieren:
Das geht auch nicht → Knoppix ist ein Live Linux keine Distribution.
Gruß Werner * Eigene Rescue-CD
remaster Grml * remaster Knoppix

klaus2008

Meister

Beiträge: 2 655

Geschlecht: Männlich

5

01.12.2015, 16:56

Hallo!

Zitat

Wenn ich Synaptic-Paketverwaltung starte und dann auf "Alle Aktualisierungen vormerken" klicke, kommt die Fehlermeldung

Wurde die Paketliste erfolgreich aktualisiert?

Gruß
Klaus

6

01.12.2015, 17:59

Hallo Werner,

oh, das wusste ich nicht, dass man nicht aktualisieren kann. Ist das denn dann nicht sinnlos, diese LiveCD auf die Platte zu installieren? hm ... naja sinnlos vielleicht doch nicht: denn ich kann mich dann ja frei im Internet bewegen, ohne Angst zu haben, dass mein System von Schadsoftware verändert wird.




hallo Klaus,

ne, bis jetzt wurde nichts aktualisiert. Jedenfalls habe ich nichts gemerkt. Sobald ich bspw. firefox installieren will, sagt mir synaptic, dass erst die Fehler behoben werden müssen. Aber wo sind die Fehler? ?(

Viele Grüße
Horst

klaus2008

Meister

Beiträge: 2 655

Geschlecht: Männlich

7

01.12.2015, 19:18

Was geschieht, wenn bei bestehender Internetverbindung auf die Schaltfläche "Neu laden" geklickt wird?

8

01.12.2015, 19:46

es geht das Fenster "PAKETINFORMATIONEN WERDEN HERUNTERGELEDEN" auf.
Ca. 3 Minuten wird in dem Fenster rumgerödelt... mit laufenden Fortschrittsbalken... zwischendurch klemmt es mal... dann gehts weiter, und zum Schluss sagt das Fenster:
--------------------------------------------
Ein Fehler ist aufgetreten
Folgende Detailinformationen werden angeboten
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
16-stelliger Hexschlüssel
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
16-stelliger Hexschlüssel
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
16-stelliger Hexschlüssel
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
16-stelliger Hexschlüssel
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
16-stelliger Hexschlüssel
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
16-stelliger Hexschlüssel
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs:
16-stelliger Hexschlüssel
-----------------------------------------------

die obigen 7 SchlüsselIDs sind aber nur 2 verschiedene IDs, also 3 Mal die eine und 4 Mal die andere.

9

01.12.2015, 20:02

anschließend Rechner neu gestartet.
Obige Prozedur nochmal gemacht.
Jetzt aber nicht 3 Minuten sondern nur 10 Sekunden gedauert. Ergabnis fast das gleiche.

10

01.12.2015, 20:06

dann auf "Alle Aktualisierungen vormerken" geklickt. Anschließend Fehlermeldung
[attach]893[/attach]

klaus2008

Meister

Beiträge: 2 655

Geschlecht: Männlich

11

01.12.2015, 20:27

Du musst zuerst das Paket debian-archive-keyring aktualisieren, damit die GnuPG-Archivschlüssel aktualisert werden. Anschließend würde ich nochmals "Neu laden" ausführen.
Wenn die Fehlermeldung verschwunden ist, könnte man vorsichtig versuchen, zu aktualisieren. Das kann, muss aber nicht, erfolgreich verlaufen, weil in sehr vielen P'aketen Verbesserungen eingeführt wurden, seitdem Knoppix 7.2.0 veröffentlicht wurde.

Nachtrag:
Ich habe jetzt einmal ausprobiert, ob sich die Knoppix 7.2.0 CD aktualisieren lässt. Allerdings habe ich im Terminal mit apt-get gearbeitet.
Zuerst wurde die Paketliste aktualisiert. Anschließend installierte ich debian-archive-keyring und aktualisierte erneut die Paketliste.
Als erstes Paket sollte meiner Meinung nach dpkg aktualisiert werden. Danach aktualisierte ich apt-get. Das ging auch noch.
Jedoch scheiterte an dieser Stelle apt-get upgrade am Ende am Paket speech-dispatcher.

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »klaus2008« (02.12.2015, 12:01)


Linux HardwareLinux Computer & PCs | Linux Notebooks & Laptops | Geek Shirts | Geek und Nerd Shirt Shop